Subject: Re: Boot failure on x86_64 (OOPS set_cpu_sibling_map() )

From: Borislav Petkov <[email-masked]>
Date: Tue, 4 Aug 2009 17:00:46 +0200

On Tue, Aug 04, 2009 at 04:47:41PM +0200, Ingo Molnar wrote:
> 
> * Borislav Petkov <[email-masked]> wrote:
> 
> > On Tue, Aug 04, 2009 at 03:50:29PM +0200, Ingo Molnar wrote:
> > > > > Mind preparing a separate branch for it (.31-rc5 based) and send me 
> > > > > a pull request so that we can share the commit between the EDAC tree 
> > > > > and the x86 tree?
> > > > 
> > > > Well, Andreas says the patches need a little polishing and he'll 
> > > > be sending updated versions soon so you can pick them up. And 
> > > > since the EDAC MCE stuff might still change before .32 merge 
> > > > window opens, let's synchronize our pull requests instead. In the 
> > > > meantime, I'll be rediffing the EDAC stuff against -tip for 
> > > > linux-next.
> > > 
> > > Would you rebase just due to this commit?
> > 
> > No, I wanted to keep the opportunity to be able to rebase the 
> > whole series until the very last minute before the merge window, 
> > should anything need to be changed...
> 
> Note that's the wrong workflow. We dont rebase Git trees really just 
> because 'something needs to be changed' - we make sure all commits 
> make sense, we fix bugs and append new changes to the end. That 
> results in a far better end result than a constant rebasing 
> workflow. See various mails from Linus on lkml about this topic. (i 
> have no handy URL for this now - maybe someone else has)

Yep, that I know and I agree with completely, I'm simply waiting in case
there are more comments on the subject (looka here, the last one was
from you :o)). Also, considering that some aspects to the design aren't
final, I'd like to be able to rebase. However, I'll make sure I switch
to incremental workflow after the majority of the issues are agreed
upon.

> > > No need for that, feel free to carry it until Andreas sends an
> > > updated version. Then i can put it into a separate .31-rc5 based
> > > topic that you can pull into the EDAC tree.
> >
> > ... and this is basically what I had in mind: After you pull them
> > in, I'll rebase my branch against yours for linux-next. I see
> > that Stephen pulls edac before -tip in linux-next so I'll ask him
> > nicely to reorder those. This approach makes most sense anyways
> > since edac relies on a bunch of x86 facilities (topology bits,
> > rd/wrmsr_on_cpus, mcheck etc) and it is only natural that it goes
> > second in linux-next, right?
> >
> > Then the pull requests will go out in the same order during the
> > merge window and we should be fine.
>
> ok. I'll wait for Andreas's next version of the patch. Feel free to
> carry the interim version - just please dont crash the x86 bootup ;-)

/me going to kick him to work faster :).

-- 
Regards/Gruss,
Boris.

Operating | Advanced Micro Devices GmbH
  System  | Karl-Hammerschmidt-Str. 34, 85609 Dornach b. München, Germany
 Research | Geschäftsführer: Thomas M. McCoy, Giuliano Meroni
  Center  | Sitz: Dornach, Gemeinde Aschheim, Landkreis München
  (OSRC)  | Registergericht München, HRB Nr. 43632